EXIF library (libexif) API: libexif/exif-format.h File Reference

EXIF library (libexif) API 0.6.22

Enumerations | Functions
exif-format.h File Reference

Handling native EXIF data types. More...

Go to the source code of this file.

## Enumerations
enum | ExifFormat { EXIF_FORMAT_BYTE = 1 , EXIF_FORMAT_ASCII = 2 , EXIF_FORMAT_SHORT = 3 , EXIF_FORMAT_LONG = 4 , EXIF_FORMAT_RATIONAL = 5 , EXIF_FORMAT_SBYTE = 6 , EXIF_FORMAT_UNDEFINED = 7 , EXIF_FORMAT_SSHORT = 8 , EXIF_FORMAT_SLONG = 9 , EXIF_FORMAT_SRATIONAL = 10 , EXIF_FORMAT_FLOAT = 11 , EXIF_FORMAT_DOUBLE = 12 , EXIF_FORMAT_BYTE = 1 , EXIF_FORMAT_ASCII = 2 , EXIF_FORMAT_SHORT = 3 , EXIF_FORMAT_LONG = 4 , EXIF_FORMAT_RATIONAL = 5 , EXIF_FORMAT_SBYTE = 6 , EXIF_FORMAT_UNDEFINED = 7 , EXIF_FORMAT_SSHORT = 8 , EXIF_FORMAT_SLONG = 9 , EXIF_FORMAT_SRATIONAL = 10 , EXIF_FORMAT_FLOAT = 11 , EXIF_FORMAT_DOUBLE = 12 }
| EXIF tag data formats.

## Functions
| EXIF_API (const char *) exif_format_get_name(exif_enum(ExifFormat) format)
| Return a textual representation of the given EXIF data type.
| EXIF_API (unsigned char) exif_format_get_size(exif_enum(ExifFormat) format)
| Return the raw size of the given EXIF data type.

## Detailed Description

Handling native EXIF data types.

## Function Documentation

## ◆ EXIF_API() [1/2]

EXIF_API | ( | const char * |  | ) |

Return a textual representation of the given EXIF data type.

Parameters

  [in] | format | EXIF data format

Returns
  localized textual name, or NULL if unknown

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

This is meant for display to the user. The format of each tag is subject to change between locales and in newer versions of libexif. Users who require the tag data in an unambiguous form should access the data members of the ExifEntry structure directly.

Warning
  The character set of the returned string may be in the encoding of the current locale or the native encoding of the camera.

Bug:
  The EXIF_TAG_XP_* tags are currently always returned in UTF-8, regardless of locale, and code points above U+FFFF are not supported.

Parameters

  [in] | entry | EXIF entry
  [out] | val | buffer in which to store value; if entry is valid and maxlen > 0 then this string will be NUL-terminated
  [in] | maxlen | length of the buffer val

Returns
  val pointer

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Returns verbose textual description of the given MakerNote tag.

Returns textual title of the given MakerNote tag.

The name is a short, unique (within this type of MakerNote), non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

The title is a short, localized textual description of the tag.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual description of the tag or NULL on error

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Return a verbose textual description of the given tag when found in the given IFD.

Return a textual title of the given tag when found in the given IFD.

The name is a short, unique, non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual name of the tag, or NULL if the tag is unknown

The title is a short, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual title of the tag, or NULL if the tag is unknown

The description is a verbose, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual description of the tag, or NULL if the tag is unknown

Deprecated:
  Use exif_tag_get_name_in_ifd instead

Deprecated:
  Use exif_tag_get_title_in_ifd instead

Deprecated:
  Use exif_tag_get_description_in_ifd instead

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

This is meant for display to the user. The format of each tag is subject to change between locales and in newer versions of libexif. Users who require the tag data in an unambiguous form should access the data members of the ExifEntry structure directly.

Warning
  The character set of the returned string may be in the encoding of the current locale or the native encoding of the camera.

Bug:
  The EXIF_TAG_XP_* tags are currently always returned in UTF-8, regardless of locale, and code points above U+FFFF are not supported.

Parameters

  [in] | entry | EXIF entry
  [out] | val | buffer in which to store value; if entry is valid and maxlen > 0 then this string will be NUL-terminated
  [in] | maxlen | length of the buffer val

Returns
  val pointer

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Return a verbose textual description of the given tag when found in the given IFD.

Return a textual title of the given tag when found in the given IFD.

The name is a short, unique, non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual name of the tag, or NULL if the tag is unknown

The title is a short, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual title of the tag, or NULL if the tag is unknown

The description is a verbose, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual description of the tag, or NULL if the tag is unknown

Deprecated:
  Use exif_tag_get_name_in_ifd instead

Deprecated:
  Use exif_tag_get_title_in_ifd instead

Deprecated:
  Use exif_tag_get_description_in_ifd instead

## ◆ EXIF_API() [2/2]

EXIF_API | ( | unsigned char |  | ) |

Return the raw size of the given EXIF data type.

Parameters

  [in] | format | EXIF data format

Returns
  size in bytes

Return the raw size of the given EXIF data type.

The relevant data is copied in raw form into the ExifLoader.

Parameters

  [in] | loader | loader to write to
  [in] | buf | buffer to read from
  [in] | sz | size of the buffer

Returns
  1 while EXIF data is read (or while there is still hope that there will be EXIF data later on), 0 otherwise.